
@article{deb_algebraic_2006,
	title = {Algebraic gossip: {A} network coding approach to optimal multiple rumor mongering},
	volume = {14},
	number = {SI},
	journal = {IEEE/ACM Transactions on Networking (TON)},
	author = {Deb, Supratim and Médard, Muriel and Choute, Clifford},
	year = {2006},
	pages = {2486--2507}
}

@inproceedings{haeupler_analyzing_2011,
	title = {Analyzing network coding gossip made easy},
	booktitle = {Proceedings of the forty-third annual {ACM} symposium on {Theory} of computing},
	publisher = {ACM},
	author = {Haeupler, Bernhard},
	year = {2011},
	pages = {293--302}
}

@inproceedings{chou_practical_2003,
	title = {Practical {Network} {Coding}},
	abstract = {We propose a distributed scheme for practical network coding that obviates the need for centralized knowledge of the graph topology, the encoding functions, and the decoding functions, and furthermore obviates the need for information to be communicated synchronously through the network. The result is a practical system for networking coding that is robust to random packet loss and delay as well as robust to any changes in the network topology or capacity due to joins, leaves, node or link failures, congestion, and so on. We simulate such a practical network coding system using the network topologies of several commercial Internet Service Providers, and demonstrate that it can achieve close to the theoretically optimal performance.},
	booktitle = {Allerton {Conference} on {Communication}, {Control}, and {Computing}},
	author = {Chou, Philip A. and Wu, Yunnan and Jain, Kamal},
	month = oct,
	year = {2003}
}

@article{fragouli_network_2006,
	title = {Network {Coding}: {An} {Instant} {Primer}},
	volume = {36},
	issn = {0146-4833},
	number = {1},
	journal = {SIGCOMM Comput. Commun. Rev.},
	author = {Fragouli, Christina and Le Boudec, Jean-Yves and Widmer, Jörg},
	month = jan,
	year = {2006},
	keywords = {network coding},
	pages = {63--68}
}

@inproceedings{champel_fog:_2009,
	title = {{FoG}: {Fighting} the {Achilles}' {Heel} of {Gossip} {Protocols} with {Fountain} {Codes}},
	booktitle = {{SSS} 2009, {Lyon}, {France}, {November} 3-6, 2009. {Proceedings}},
	author = {Champel, Mary-Luc and Kermarrec, Anne-Marie and Scouarnec, Nicolas Le},
	year = {2009},
	pages = {180--194}
}

@article{felber_pulp:_2012,
	title = {Pulp: {An} adaptive gossip-based dissemination protocol for multi-source message streams},
	volume = {5},
	number = {1},
	journal = {Peer-to-Peer Networking and Applications},
	author = {Felber, Pascal and Kermarrec, Anne-Marie and Leonini, Lorenzo and others},
	year = {2012},
	pages = {74--91}
}

@article{euster_epidemics_2004,
	title = {From epidemics to distributed computing},
	volume = {37},
	number = {5},
	journal = {IEEE Computer},
	author = {Euster, Patrick and Guerraoui, Rachid and Kermarrec, Anne-Marie and Maussoulie, Laurent},
	year = {2004},
	pages = {60--67}
}

@article{koldehofe_simple_2004,
	title = {Simple gossiping with balls and bins.},
	volume = {3},
	number = {1},
	journal = {Stud. Inform. Univ.},
	author = {Koldehofe, Boris},
	year = {2004},
	pages = {43--60}
}

@article{androulaki_hyperledger_2018,
	title = {Hyperledger {Fabric}: {A} {Distributed} {Operating} {System} for {Permissioned} {Blockchains}},
	volume = {abs/1801.10228},
	journal = {CoRR},
	author = {Androulaki, Elli and Barger, Artem and Bortnikov, Vita and others},
	year = {2018}
}

@article{lakshman_cassandra:_2010,
	title = {Cassandra: {A} {Decentralized} {Structured} {Storage} {System}},
	volume = {44},
	issn = {0163-5980},
	number = {2},
	journal = {SIGOPS Oper. Syst. Rev.},
	author = {Lakshman, Avinash and Malik, Prashant},
	month = apr,
	year = {2010},
	pages = {35--40}
}

@inproceedings{nedelec_crate:_2016,
	title = {{CRATE}: {Writing} {Stories} {Together} with {Our} {Browsers}},
	isbn = {978-1-4503-4144-8},
	booktitle = {Proceedings of the 25th {International} {Conference} {Companion} on {World} {Wide} {Web}},
	author = {Nédelec, Brice and Molli, Pascal and Mostefaoui, Achour},
	year = {2016},
	keywords = {collaborative editor, decentralized, real-time},
	pages = {231--234}
}

@article{hassan_network_nodate,
	title = {Network coding on the {GPU}},
	author = {Hassan, Charaf and Fitzek, Frank HP}
}

@article{zhu_network_2017,
	title = {Network {Latency} {Estimation} for {Personal} {Devices}: {A} {Matrix} {Completion} {Approach}},
	volume = {25},
	number = {2},
	journal = {IEEE/ACM Trans. Netw.},
	author = {Zhu, Rui and Liu, Bang and Niu, Di and others},
	year = {2017},
	pages = {724--737}
}

@inproceedings{bhagwan_understanding_2003,
	title = {Understanding {Availability}},
	booktitle = {Proceedings of the 2nd {International} {Workshop} on {Peer}-to-{Peer} {Systems} ({IPTPS}'03)},
	author = {Bhagwan, Ranjita and Savage, Stefan and Voelker, Geoffrey M.},
	year = {2003}
}

@article{demers_epidemic_1988,
	title = {Epidemic {Algorithms} for {Replicated} {Database} {Maintenance}},
	volume = {22},
	number = {1},
	journal = {Operating Systems Review},
	author = {Demers, Alan J. and Greene, Daniel H. and Hauser, Carl and others},
	year = {1988},
	pages = {8--32}
}

@article{sanghavi_gossiping_2007,
	title = {Gossiping {With} {Multiple} {Messages}},
	volume = {53},
	number = {12},
	journal = {IEEE Trans. Information Theory},
	author = {Sanghavi, Sujay and Hajek, Bruce E. and Massoulié, Laurent},
	year = {2007},
	pages = {4640--4654}
}

@article{fragouli_efficient_2008,
	title = {Efficient {Broadcasting} {Using} {Network} {Coding}},
	volume = {16},
	issn = {1063-6692},
	number = {2},
	journal = {IEEE/ACM Transactions on Networking},
	author = {Fragouli, C. and Widmer, J. and Boudec, J. Y. Le},
	month = apr,
	year = {2008},
	keywords = {Network coding, network coding, distributed algorithms, encoding, ad hoc networks, ad hoc wireless network, broadcasting, energy efficiency, network lifetime, wireless broadcast},
	pages = {450--463}
}

@inproceedings{katti_xors_2006,
	title = {{XORs} in the air: {Practical} wireless network coding},
	volume = {36},
	booktitle = {{ACM} {SIGCOMM} computer communication review},
	publisher = {ACM},
	author = {Katti, Sachin and Rahul, Hariharan and Hu, Wenjun and others},
	year = {2006},
	pages = {243--254}
}

@article{castaneda_renaming_2011,
  title = {The renaming problem in shared memory systems: {An} introduction},
  volume = {5},
  number = {3},
  journal = {Computer Science Review},
  author = {Castañeda, Armando and Rajsbaum, Sergio and Raynal, Michel},
  year = {2011},
  pages = {229--251}
}

@inproceedings{dynamo,
 author = {DeCandia, Giuseppe and Hastorun, Deniz and Jampani, Madan and others},
 title = {Dynamo: Amazon's Highly Available Key-value Store},
 booktitle = {Proceedings of Twenty-first ACM SIGOPS},
 series = {SOSP '07},
 year = {2007},
 isbn = {978-1-59593-591-5},
 location = {Stevenson, Washington, USA},
 pages = {205--220},
 numpages = {16},
 acmid = {1294281},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {performance, reliability, scalability},
} 

@inproceedings{pleiades,
  TITLE = {{Pleiades: Distributed Structural Invariants at Scale}},
  AUTHOR = {Bouget, Simon and Bromberg, Y{\'e}rom-David and Luxey, Adrien and Ta{\"i}ani, Fran{\c c}ois},
  BOOKTITLE = {{DSN 2018}},
  ADDRESS = {Luxembourg, Luxembourg},
  PUBLISHER = {{IEEE}},
  PAGES = {1-12},
  YEAR = {2018},
  MONTH = Jun,
}

@inproceedings{tman,
  author    = {M{\'{a}}rk Jelasity and
               {\"{O}}zalp Babaoglu},
  title     = {T-Man: Gossip-Based Overlay Topology Management},
  booktitle = {{ESOA} 2005, Utrecht, The Netherlands, July 25, 2005, Revised Selected
               Papers},
  pages     = {1--15},
  year      = {2005},
}

@article{jelasity,
 author = {Jelasity, M\'{a}rk and Montresor, Alberto and Babaoglu, Ozalp},
 title = {Gossip-based Aggregation in Large Dynamic Networks},
 journal = {ACM Trans. Comput. Syst.},
 issue_date = {August 2005},
 volume = {23},
 number = {3},
 month = aug,
 year = {2005},
 issn = {0734-2071},
 pages = {219--252},
 numpages = {34},
}

@article{lifeguard,
  author    = {Armon Dadgar and
               James Phillips and
               Jon Currey},
  title     = {Lifeguard : SWIM-ing with Situational Awareness},
  journal   = {CoRR},
  volume    = {abs/1707.00788},
  year      = {2017},
}

@INPROCEEDINGS{Das02swim,
    author = {Abhinandan Das and An Das and Indranil Gupta and Ashish Motivala},
    title = {SWIM: Scalable Weakly-consistent Infection-style Process Group Membership Protocol},
    booktitle = {In Proc. 2002 Intnl. Conf. DSN},
    year = {2002},
    pages = {303--312}
}

@techreport{frey,
  TITLE = {{Live Streaming with Gossip}},
  AUTHOR = {Frey, Davide and Guerraoui, Rachid and Kermarrec, Anne-Marie and Monod, Maxime},
  TYPE = {Research Report},
  NUMBER = {RR-9039},
  INSTITUTION = {{Inria Rennes Bretagne Atlantique ; RR-9039}},
  YEAR = {2017},
  MONTH = Mar,
}

@inproceedings{frey2,
  author    = {Davide Frey and
               Rachid Guerraoui and
               Anne{-}Marie Kermarrec and
               Maxime Monod and
               Vivien Qu{\'{e}}ma},
  title     = {Stretching gossip with live streaming},
  booktitle = {{DSN} 2009, Estoril, Lisbon, Portugal, June
               29 - July 2, 2009},
  pages     = {259--264},
  year      = {2009},
}

@ARTICLE{RPS,
  author = {M{\'a}rk Jelasity and Spyros Voulgaris and Rachid Guerraoui and Anne-Marie
	Kermarrec and Maarten van Steen},
  title = {{G}ossip-based {P}eer {S}ampling},
  journal = {TOCS},
  year = {2007},
  volume = {25},
  number = {3}
}

@article{lamport1978time,
  title={Time, clocks, and the ordering of events in a distributed system},
  author={Lamport, Leslie},
  journal={Communications of the ACM},
  volume={21},
  number={7},
  pages={558--565},
  year={1978},
  publisher={ACM}
}

